<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.BaseBuildMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.BaseBuild">
        <id column="id" property="id" />
        <result column="build_num" property="buildNum" />
        <result column="build_name" property="buildName" />
        <result column="address" property="address" />
        <result column="model_address" property="modelAddress" />
        <result column="above_floor" property="aboveFloor" />
        <result column="under_floor" property="underFloor" />
        <result column="build_area" property="buildArea" />
        <result column="cover_area" property="coverArea" />
        <result column="fire_rating" property="fireRating" />
        <result column="use_character" property="useCharacter" />
        <result column="build_structure" property="buildStructure" />
        <result column="fireproof_coat" property="fireproofCoat" />
        <result column="build_high" property="buildHigh" />
        <result column="high_type" property="highType" />
        <result column="complete_year" property="completeYear" />
        <result column="safe_person" property="safePerson" />
        <result column="manage_person" property="managePerson" />
        <result column="fire_risk" property="fireRisk" />
        <result column="fire_control_room" property="fireControlRoom" />
        <result column="build_inside" property="buildInside" />
        <result column="build_plan" property="buildPlan" />
        <result column="facility_id" property="facilityId" />
        <result column="company_id" property="companyId" />
        <result column="under_space" property="underSpace" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="update_person" property="updatePerson" />
        <result column="creator" property="creator" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="fire_facility_system" property="fireFacilitySystem" />
        <result column="other_system" property="otherSystem" />
        <result column="other_facilities" property="otherFacilities" />
        <result column="longitude" property="longitude" />
        <result column="latitude" property="latitude" />
    </resultMap>

</mapper>
